(* A sample of ~/.Mathematica/Kernel/init.m for FiniteFlow
   Change "yourHome" to your home folder.
   We assume the FiniteFlow is installed under "yourHome"
*)
(** User Mathematica initialization file **)

(* the next two lines are only needed if a custom MATHLIBINSTALL path was chosen when running cmake *)
(* $FiniteFlowLibPath = "/usr/local/Wolfram/Mathematica/12.3/SystemFiles/Libraries/" *)
$FiniteFlowLibPath = "/yourHome/bin"
If[Not[MemberQ[$LibraryPath,$FiniteFlowLibPath]],$LibraryPath = Flatten[{$LibraryPath, $FiniteFlowLibPath }]];

(* the next two lines are needed to locate FiniteFlow.m, if not already in your $Path *)
$FiniteFlowPath = "/yourHome/finiteflow/mathlink/"
If[Not[MemberQ[$Path,$FiniteFlowPath]],$Path = Flatten[{$Path, $FiniteFlowPath }]];

$FFMathTools = "/yourHome/finiteflow-mathtools"
If[Not[MemberQ[$Path,$FFMathTools]],$Path = Flatten[{$Path, $FFMathTools }]];

